// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package auth_mobile

import (
	context "context"
	empty "github.com/golang/protobuf/ptypes/empty"
	auth_common "gitlab.com/fcpartners/apis/gen/accounting/v1/auth_common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// MobileAuthServiceClient is the client API for MobileAuthService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type MobileAuthServiceClient interface {
	SendCode(ctx context.Context, in *SendCodeRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	CheckCode(ctx context.Context, in *CheckCodeRequest, opts ...grpc.CallOption) (*CheckCodeResponse, error)
	GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error)
	RegisterUser(ctx context.Context, in *RegisterUserRequest, opts ...grpc.CallOption) (*RegisterUserResponse, error)
	UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error)
	ValidateSession(ctx context.Context, in *ValidateSessionRequest, opts ...grpc.CallOption) (*ValidateSessionResponse, error)
	DeleteUser(ctx context.Context, in *DeleteUserRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	SetDeviceToken(ctx context.Context, in *SetDeviceTokenRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	DeleteDeviceToken(ctx context.Context, in *DeleteDeviceTokenRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	DeleteAllDeviceToken(ctx context.Context, in *DeleteAllDeviceTokenRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// User related data
	ListContactPerson(ctx context.Context, in *auth_common.ListContactPersonRequest, opts ...grpc.CallOption) (*auth_common.ListContactPersonResponse, error)
	SaveContactPerson(ctx context.Context, in *auth_common.SaveContactPersonRequest, opts ...grpc.CallOption) (*auth_common.SaveContactPersonResponse, error)
	DeleteContactPerson(ctx context.Context, in *auth_common.DeleteContactPersonRequest, opts ...grpc.CallOption) (*auth_common.DeleteContactPersonResponse, error)
	ListLocation(ctx context.Context, in *auth_common.ListLocationRequest, opts ...grpc.CallOption) (*auth_common.ListLocationResponse, error)
	SaveLocation(ctx context.Context, in *auth_common.SaveLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveLocationResponse, error)
	DeleteLocation(ctx context.Context, in *auth_common.DeleteLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteLocationResponse, error)
	ListDocument(ctx context.Context, in *auth_common.ListDocumentRequest, opts ...grpc.CallOption) (*auth_common.ListDocumentResponse, error)
	SaveDocument(ctx context.Context, in *auth_common.SaveDocumentRequest, opts ...grpc.CallOption) (*auth_common.SaveDocumentResponse, error)
	DeleteDocument(ctx context.Context, in *auth_common.DeleteDocumentRequest, opts ...grpc.CallOption) (*auth_common.DeleteDocumentResponse, error)
	// User counterparties
	GetCounterparty(ctx context.Context, in *auth_common.GetCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyResponse, error)
	ListCounterparty(ctx context.Context, in *auth_common.ListCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyResponse, error)
	SaveCounterparty(ctx context.Context, in *auth_common.SaveCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyResponse, error)
	// User counterparty locations
	GetCounterpartyLocation(ctx context.Context, in *auth_common.GetCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyLocationResponse, error)
	ListCounterpartyLocation(ctx context.Context, in *auth_common.ListCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyLocationResponse, error)
	SaveCounterpartyLocation(ctx context.Context, in *auth_common.SaveCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyLocationResponse, error)
}

type mobileAuthServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewMobileAuthServiceClient(cc grpc.ClientConnInterface) MobileAuthServiceClient {
	return &mobileAuthServiceClient{cc}
}

func (c *mobileAuthServiceClient) SendCode(ctx context.Context, in *SendCodeRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SendCode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) CheckCode(ctx context.Context, in *CheckCodeRequest, opts ...grpc.CallOption) (*CheckCodeResponse, error) {
	out := new(CheckCodeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/CheckCode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error) {
	out := new(auth_common.UserBriefInfo)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/GetUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) RegisterUser(ctx context.Context, in *RegisterUserRequest, opts ...grpc.CallOption) (*RegisterUserResponse, error) {
	out := new(RegisterUserResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/RegisterUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error) {
	out := new(auth_common.UserBriefInfo)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/UpdateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) ValidateSession(ctx context.Context, in *ValidateSessionRequest, opts ...grpc.CallOption) (*ValidateSessionResponse, error) {
	out := new(ValidateSessionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/ValidateSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) DeleteUser(ctx context.Context, in *DeleteUserRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) SetDeviceToken(ctx context.Context, in *SetDeviceTokenRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SetDeviceToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) DeleteDeviceToken(ctx context.Context, in *DeleteDeviceTokenRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteDeviceToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) DeleteAllDeviceToken(ctx context.Context, in *DeleteAllDeviceTokenRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteAllDeviceToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) ListContactPerson(ctx context.Context, in *auth_common.ListContactPersonRequest, opts ...grpc.CallOption) (*auth_common.ListContactPersonResponse, error) {
	out := new(auth_common.ListContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) SaveContactPerson(ctx context.Context, in *auth_common.SaveContactPersonRequest, opts ...grpc.CallOption) (*auth_common.SaveContactPersonResponse, error) {
	out := new(auth_common.SaveContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) DeleteContactPerson(ctx context.Context, in *auth_common.DeleteContactPersonRequest, opts ...grpc.CallOption) (*auth_common.DeleteContactPersonResponse, error) {
	out := new(auth_common.DeleteContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) ListLocation(ctx context.Context, in *auth_common.ListLocationRequest, opts ...grpc.CallOption) (*auth_common.ListLocationResponse, error) {
	out := new(auth_common.ListLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) SaveLocation(ctx context.Context, in *auth_common.SaveLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveLocationResponse, error) {
	out := new(auth_common.SaveLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) DeleteLocation(ctx context.Context, in *auth_common.DeleteLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteLocationResponse, error) {
	out := new(auth_common.DeleteLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) ListDocument(ctx context.Context, in *auth_common.ListDocumentRequest, opts ...grpc.CallOption) (*auth_common.ListDocumentResponse, error) {
	out := new(auth_common.ListDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) SaveDocument(ctx context.Context, in *auth_common.SaveDocumentRequest, opts ...grpc.CallOption) (*auth_common.SaveDocumentResponse, error) {
	out := new(auth_common.SaveDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) DeleteDocument(ctx context.Context, in *auth_common.DeleteDocumentRequest, opts ...grpc.CallOption) (*auth_common.DeleteDocumentResponse, error) {
	out := new(auth_common.DeleteDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) GetCounterparty(ctx context.Context, in *auth_common.GetCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyResponse, error) {
	out := new(auth_common.GetCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/GetCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) ListCounterparty(ctx context.Context, in *auth_common.ListCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyResponse, error) {
	out := new(auth_common.ListCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) SaveCounterparty(ctx context.Context, in *auth_common.SaveCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyResponse, error) {
	out := new(auth_common.SaveCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) GetCounterpartyLocation(ctx context.Context, in *auth_common.GetCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyLocationResponse, error) {
	out := new(auth_common.GetCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/GetCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) ListCounterpartyLocation(ctx context.Context, in *auth_common.ListCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyLocationResponse, error) {
	out := new(auth_common.ListCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *mobileAuthServiceClient) SaveCounterpartyLocation(ctx context.Context, in *auth_common.SaveCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyLocationResponse, error) {
	out := new(auth_common.SaveCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MobileAuthServiceServer is the server API for MobileAuthService service.
// All implementations must embed UnimplementedMobileAuthServiceServer
// for forward compatibility
type MobileAuthServiceServer interface {
	SendCode(context.Context, *SendCodeRequest) (*empty.Empty, error)
	CheckCode(context.Context, *CheckCodeRequest) (*CheckCodeResponse, error)
	GetUser(context.Context, *GetUserRequest) (*auth_common.UserBriefInfo, error)
	RegisterUser(context.Context, *RegisterUserRequest) (*RegisterUserResponse, error)
	UpdateUser(context.Context, *UpdateUserRequest) (*auth_common.UserBriefInfo, error)
	ValidateSession(context.Context, *ValidateSessionRequest) (*ValidateSessionResponse, error)
	DeleteUser(context.Context, *DeleteUserRequest) (*empty.Empty, error)
	SetDeviceToken(context.Context, *SetDeviceTokenRequest) (*empty.Empty, error)
	DeleteDeviceToken(context.Context, *DeleteDeviceTokenRequest) (*empty.Empty, error)
	DeleteAllDeviceToken(context.Context, *DeleteAllDeviceTokenRequest) (*empty.Empty, error)
	// User related data
	ListContactPerson(context.Context, *auth_common.ListContactPersonRequest) (*auth_common.ListContactPersonResponse, error)
	SaveContactPerson(context.Context, *auth_common.SaveContactPersonRequest) (*auth_common.SaveContactPersonResponse, error)
	DeleteContactPerson(context.Context, *auth_common.DeleteContactPersonRequest) (*auth_common.DeleteContactPersonResponse, error)
	ListLocation(context.Context, *auth_common.ListLocationRequest) (*auth_common.ListLocationResponse, error)
	SaveLocation(context.Context, *auth_common.SaveLocationRequest) (*auth_common.SaveLocationResponse, error)
	DeleteLocation(context.Context, *auth_common.DeleteLocationRequest) (*auth_common.DeleteLocationResponse, error)
	ListDocument(context.Context, *auth_common.ListDocumentRequest) (*auth_common.ListDocumentResponse, error)
	SaveDocument(context.Context, *auth_common.SaveDocumentRequest) (*auth_common.SaveDocumentResponse, error)
	DeleteDocument(context.Context, *auth_common.DeleteDocumentRequest) (*auth_common.DeleteDocumentResponse, error)
	// User counterparties
	GetCounterparty(context.Context, *auth_common.GetCounterpartyRequest) (*auth_common.GetCounterpartyResponse, error)
	ListCounterparty(context.Context, *auth_common.ListCounterpartyRequest) (*auth_common.ListCounterpartyResponse, error)
	SaveCounterparty(context.Context, *auth_common.SaveCounterpartyRequest) (*auth_common.SaveCounterpartyResponse, error)
	// User counterparty locations
	GetCounterpartyLocation(context.Context, *auth_common.GetCounterpartyLocationRequest) (*auth_common.GetCounterpartyLocationResponse, error)
	ListCounterpartyLocation(context.Context, *auth_common.ListCounterpartyLocationRequest) (*auth_common.ListCounterpartyLocationResponse, error)
	SaveCounterpartyLocation(context.Context, *auth_common.SaveCounterpartyLocationRequest) (*auth_common.SaveCounterpartyLocationResponse, error)
	mustEmbedUnimplementedMobileAuthServiceServer()
}

// UnimplementedMobileAuthServiceServer must be embedded to have forward compatible implementations.
type UnimplementedMobileAuthServiceServer struct {
}

func (UnimplementedMobileAuthServiceServer) SendCode(context.Context, *SendCodeRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendCode not implemented")
}
func (UnimplementedMobileAuthServiceServer) CheckCode(context.Context, *CheckCodeRequest) (*CheckCodeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckCode not implemented")
}
func (UnimplementedMobileAuthServiceServer) GetUser(context.Context, *GetUserRequest) (*auth_common.UserBriefInfo, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUser not implemented")
}
func (UnimplementedMobileAuthServiceServer) RegisterUser(context.Context, *RegisterUserRequest) (*RegisterUserResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RegisterUser not implemented")
}
func (UnimplementedMobileAuthServiceServer) UpdateUser(context.Context, *UpdateUserRequest) (*auth_common.UserBriefInfo, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUser not implemented")
}
func (UnimplementedMobileAuthServiceServer) ValidateSession(context.Context, *ValidateSessionRequest) (*ValidateSessionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateSession not implemented")
}
func (UnimplementedMobileAuthServiceServer) DeleteUser(context.Context, *DeleteUserRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteUser not implemented")
}
func (UnimplementedMobileAuthServiceServer) SetDeviceToken(context.Context, *SetDeviceTokenRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetDeviceToken not implemented")
}
func (UnimplementedMobileAuthServiceServer) DeleteDeviceToken(context.Context, *DeleteDeviceTokenRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteDeviceToken not implemented")
}
func (UnimplementedMobileAuthServiceServer) DeleteAllDeviceToken(context.Context, *DeleteAllDeviceTokenRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteAllDeviceToken not implemented")
}
func (UnimplementedMobileAuthServiceServer) ListContactPerson(context.Context, *auth_common.ListContactPersonRequest) (*auth_common.ListContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListContactPerson not implemented")
}
func (UnimplementedMobileAuthServiceServer) SaveContactPerson(context.Context, *auth_common.SaveContactPersonRequest) (*auth_common.SaveContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveContactPerson not implemented")
}
func (UnimplementedMobileAuthServiceServer) DeleteContactPerson(context.Context, *auth_common.DeleteContactPersonRequest) (*auth_common.DeleteContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteContactPerson not implemented")
}
func (UnimplementedMobileAuthServiceServer) ListLocation(context.Context, *auth_common.ListLocationRequest) (*auth_common.ListLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListLocation not implemented")
}
func (UnimplementedMobileAuthServiceServer) SaveLocation(context.Context, *auth_common.SaveLocationRequest) (*auth_common.SaveLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveLocation not implemented")
}
func (UnimplementedMobileAuthServiceServer) DeleteLocation(context.Context, *auth_common.DeleteLocationRequest) (*auth_common.DeleteLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteLocation not implemented")
}
func (UnimplementedMobileAuthServiceServer) ListDocument(context.Context, *auth_common.ListDocumentRequest) (*auth_common.ListDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDocument not implemented")
}
func (UnimplementedMobileAuthServiceServer) SaveDocument(context.Context, *auth_common.SaveDocumentRequest) (*auth_common.SaveDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveDocument not implemented")
}
func (UnimplementedMobileAuthServiceServer) DeleteDocument(context.Context, *auth_common.DeleteDocumentRequest) (*auth_common.DeleteDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteDocument not implemented")
}
func (UnimplementedMobileAuthServiceServer) GetCounterparty(context.Context, *auth_common.GetCounterpartyRequest) (*auth_common.GetCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCounterparty not implemented")
}
func (UnimplementedMobileAuthServiceServer) ListCounterparty(context.Context, *auth_common.ListCounterpartyRequest) (*auth_common.ListCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCounterparty not implemented")
}
func (UnimplementedMobileAuthServiceServer) SaveCounterparty(context.Context, *auth_common.SaveCounterpartyRequest) (*auth_common.SaveCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCounterparty not implemented")
}
func (UnimplementedMobileAuthServiceServer) GetCounterpartyLocation(context.Context, *auth_common.GetCounterpartyLocationRequest) (*auth_common.GetCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCounterpartyLocation not implemented")
}
func (UnimplementedMobileAuthServiceServer) ListCounterpartyLocation(context.Context, *auth_common.ListCounterpartyLocationRequest) (*auth_common.ListCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCounterpartyLocation not implemented")
}
func (UnimplementedMobileAuthServiceServer) SaveCounterpartyLocation(context.Context, *auth_common.SaveCounterpartyLocationRequest) (*auth_common.SaveCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCounterpartyLocation not implemented")
}
func (UnimplementedMobileAuthServiceServer) mustEmbedUnimplementedMobileAuthServiceServer() {}

// UnsafeMobileAuthServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to MobileAuthServiceServer will
// result in compilation errors.
type UnsafeMobileAuthServiceServer interface {
	mustEmbedUnimplementedMobileAuthServiceServer()
}

func RegisterMobileAuthServiceServer(s grpc.ServiceRegistrar, srv MobileAuthServiceServer) {
	s.RegisterService(&MobileAuthService_ServiceDesc, srv)
}

func _MobileAuthService_SendCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SendCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SendCode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SendCode(ctx, req.(*SendCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_CheckCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).CheckCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/CheckCode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).CheckCode(ctx, req.(*CheckCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_GetUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).GetUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/GetUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).GetUser(ctx, req.(*GetUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_RegisterUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RegisterUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).RegisterUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/RegisterUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).RegisterUser(ctx, req.(*RegisterUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_UpdateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).UpdateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/UpdateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).UpdateUser(ctx, req.(*UpdateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_ValidateSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateSessionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).ValidateSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/ValidateSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).ValidateSession(ctx, req.(*ValidateSessionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_DeleteUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).DeleteUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).DeleteUser(ctx, req.(*DeleteUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_SetDeviceToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetDeviceTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SetDeviceToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SetDeviceToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SetDeviceToken(ctx, req.(*SetDeviceTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_DeleteDeviceToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteDeviceTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).DeleteDeviceToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteDeviceToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).DeleteDeviceToken(ctx, req.(*DeleteDeviceTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_DeleteAllDeviceToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteAllDeviceTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).DeleteAllDeviceToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteAllDeviceToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).DeleteAllDeviceToken(ctx, req.(*DeleteAllDeviceTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_ListContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).ListContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).ListContactPerson(ctx, req.(*auth_common.ListContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_SaveContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SaveContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SaveContactPerson(ctx, req.(*auth_common.SaveContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_DeleteContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).DeleteContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).DeleteContactPerson(ctx, req.(*auth_common.DeleteContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_ListLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).ListLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).ListLocation(ctx, req.(*auth_common.ListLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_SaveLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SaveLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SaveLocation(ctx, req.(*auth_common.SaveLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_DeleteLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).DeleteLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).DeleteLocation(ctx, req.(*auth_common.DeleteLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_ListDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).ListDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).ListDocument(ctx, req.(*auth_common.ListDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_SaveDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SaveDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SaveDocument(ctx, req.(*auth_common.SaveDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_DeleteDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).DeleteDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/DeleteDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).DeleteDocument(ctx, req.(*auth_common.DeleteDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_GetCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).GetCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/GetCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).GetCounterparty(ctx, req.(*auth_common.GetCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_ListCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).ListCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).ListCounterparty(ctx, req.(*auth_common.ListCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_SaveCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SaveCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SaveCounterparty(ctx, req.(*auth_common.SaveCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_GetCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).GetCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/GetCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).GetCounterpartyLocation(ctx, req.(*auth_common.GetCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_ListCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).ListCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/ListCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).ListCounterpartyLocation(ctx, req.(*auth_common.ListCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MobileAuthService_SaveCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MobileAuthServiceServer).SaveCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_mobile.MobileAuthService/SaveCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MobileAuthServiceServer).SaveCounterpartyLocation(ctx, req.(*auth_common.SaveCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// MobileAuthService_ServiceDesc is the grpc.ServiceDesc for MobileAuthService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var MobileAuthService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.accounting.v1.auth_mobile.MobileAuthService",
	HandlerType: (*MobileAuthServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SendCode",
			Handler:    _MobileAuthService_SendCode_Handler,
		},
		{
			MethodName: "CheckCode",
			Handler:    _MobileAuthService_CheckCode_Handler,
		},
		{
			MethodName: "GetUser",
			Handler:    _MobileAuthService_GetUser_Handler,
		},
		{
			MethodName: "RegisterUser",
			Handler:    _MobileAuthService_RegisterUser_Handler,
		},
		{
			MethodName: "UpdateUser",
			Handler:    _MobileAuthService_UpdateUser_Handler,
		},
		{
			MethodName: "ValidateSession",
			Handler:    _MobileAuthService_ValidateSession_Handler,
		},
		{
			MethodName: "DeleteUser",
			Handler:    _MobileAuthService_DeleteUser_Handler,
		},
		{
			MethodName: "SetDeviceToken",
			Handler:    _MobileAuthService_SetDeviceToken_Handler,
		},
		{
			MethodName: "DeleteDeviceToken",
			Handler:    _MobileAuthService_DeleteDeviceToken_Handler,
		},
		{
			MethodName: "DeleteAllDeviceToken",
			Handler:    _MobileAuthService_DeleteAllDeviceToken_Handler,
		},
		{
			MethodName: "ListContactPerson",
			Handler:    _MobileAuthService_ListContactPerson_Handler,
		},
		{
			MethodName: "SaveContactPerson",
			Handler:    _MobileAuthService_SaveContactPerson_Handler,
		},
		{
			MethodName: "DeleteContactPerson",
			Handler:    _MobileAuthService_DeleteContactPerson_Handler,
		},
		{
			MethodName: "ListLocation",
			Handler:    _MobileAuthService_ListLocation_Handler,
		},
		{
			MethodName: "SaveLocation",
			Handler:    _MobileAuthService_SaveLocation_Handler,
		},
		{
			MethodName: "DeleteLocation",
			Handler:    _MobileAuthService_DeleteLocation_Handler,
		},
		{
			MethodName: "ListDocument",
			Handler:    _MobileAuthService_ListDocument_Handler,
		},
		{
			MethodName: "SaveDocument",
			Handler:    _MobileAuthService_SaveDocument_Handler,
		},
		{
			MethodName: "DeleteDocument",
			Handler:    _MobileAuthService_DeleteDocument_Handler,
		},
		{
			MethodName: "GetCounterparty",
			Handler:    _MobileAuthService_GetCounterparty_Handler,
		},
		{
			MethodName: "ListCounterparty",
			Handler:    _MobileAuthService_ListCounterparty_Handler,
		},
		{
			MethodName: "SaveCounterparty",
			Handler:    _MobileAuthService_SaveCounterparty_Handler,
		},
		{
			MethodName: "GetCounterpartyLocation",
			Handler:    _MobileAuthService_GetCounterpartyLocation_Handler,
		},
		{
			MethodName: "ListCounterpartyLocation",
			Handler:    _MobileAuthService_ListCounterpartyLocation_Handler,
		},
		{
			MethodName: "SaveCounterpartyLocation",
			Handler:    _MobileAuthService_SaveCounterpartyLocation_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/auth_mobile/auth_service.proto",
}
